org.eclipse.microprofile.rest.client.tck

## Class RestClientListenerTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.RestClientListenerTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class RestClientListenerTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`RestClientListenerTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testRestClientListenerInvoked()` This test checks that a RestClientListener loaded via the service loader is invoked.

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestClientListenerTest

    public RestClientListenerTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testRestClientListenerInvoked

    public void testRestClientListenerInvoked()
                                       throws Exception

This test checks that a RestClientListener loaded via the service loader is invoked. The RestClientListener impl used will register a ClientRequestFilter that aborts with a 500 status code - it is registered with priority 1. The test class registers another filter that will abort with a 200 status code, but at priority 2. If the RestClientListener impl is correctly invoked, then the request will abort with the 500; if not, it will abort with the 200. This test will also check that the correct serviceInterface class was passed to the RestClientListener impl.

Throws:
  `Exception` - - indicates test failure